# Packmangroup: Multimedia
# Packmanpackagename: toolame
# Packman: Manfred Tremmel


Name:           toolame
#Version:        02l_02m_beta8
Release:        0.pm.4
Packager:       Manfred Tremmel <Manfred.Tremmel@iiv.de>
Vendor:         suse
Distribution:   SuSE Linux 9.3 (i586)
#
Source0:        toolame-02m-beta8.tar.bz2
#
BuildRoot:      %{_tmppath}/buildroot-%{name}-%{version}

License: 	GPL
Group: 		Applications/Multimedia

%define pre beta8
%define targetversion 02m

Summary: 	MPEG1 Layer 2 audio encoder
Summary(de):	MPEG1 Layer 2 Audio encoder
Source:    	%name-%targetversion-%pre.tar.bz2
URL:       	http://users.tpg.com.au/adslblvi/
Version:	02l_%targetversion%pre

%description
MPEG1 Layer 2 audio encoder
Author: Michael Cheng

%description -l de
MPEG1 Layer 2 Audio encoder
Autor: Michael Cheng

%prep
%setup -qn %name-%targetversion-%pre

%build
make ARCH="$RPM_OPT_FLAGS -fno-strict-aliasing"

%install

install -D toolame ${RPM_BUILD_ROOT}%_bindir/toolame
install -D libtoolame/toolame.h ${RPM_BUILD_ROOT}%_includedir/toolame.h
install -D libtoolame/libtoolame.a ${RPM_BUILD_ROOT}%_libdir/libtoolame.a


%clean
[ -d  ${RPM_BUILD_ROOT} -a "${RPM_BUILD_ROOT}" != "/" ] && rm -rf  ${RPM_BUILD_ROOT}


%files 
%defattr(-,root,root,-)
%_bindir/toolame
%_libdir/lib%name.a
%_includedir/%name.h

%doc text html README API.txt FUTURE HISTORY LGPL.txt 

%changelog
* Mon Jan 10 2005 Rainer Lay <rainer@links2linux.de> 02l_02m_beta8-0.pm.4
- added lib and header
- use  -fno-strict-aliasing for gcc

* Fri Jan 23 2004 Rainer Lay <rainer@links2linux.de>
- fixed owner

* Wed Dec 31 2003 Rainer Lay <rainer@links2linux.de> 
- first packman version

* Thu Jul 10 2003 Chris Petersen <rpm@forevermore.net>
- Built package

